---
title: Request.credentials
slug: Web/API/Request/credentials
tags:
  - API
  - Cookies
  - Fetch
  - Networking
  - Property
  - Reference
  - Security
  - credentials
  - request
---
<div>{{APIRef("Fetch")}}</div>

<p>The <strong><code>credentials</code></strong> read-only property of the {{domxref("Request")}} interface indicates whether the user agent should send cookies from the other domain in the case of cross-origin requests.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="brush: js">var myCred = request.credentials;</pre>

<h3 id="Value">Value</h3>

<p>A <code>RequestCredentials</code> dictionary value indicating whether the user agent should send cookies from the other domain in the case of cross-origin requests. Possible values are:</p>

<ul>
 <li><code>omit</code>: Never send or receive cookies.</li>
 <li><code>same-origin</code>: Send user credentials (cookies, basic http auth, etc..) if the URL is on the same origin as the calling script. <strong>This is the default value.</strong></li>
 <li><code>include</code>: Always send user credentials (cookies, basic http auth, etc..), even for cross-origin calls.</li>
</ul>

<p>This is similar to XHR’s <code><a href="/en-US/docs/Web/API/XMLHttpRequest/withCredentials">withCredentials</a></code> flag, but with three available values instead of two.</p>

<h2 id="Example">Example</h2>

<p>In the following snippet, we create a new request using the {{domxref("Request.Request()")}} constructor (for an image file in the same directory as the script), then save the request credentials in a variable:</p>

<pre class="brush: js">var myRequest = new Request('flowers.jpg');
var myCred = myRequest.credentials; // returns "same-origin" by default</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Fetch','#dom-request-credentials','credentials')}}</td>
   <td>{{Spec2('Fetch')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Request.credentials")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/ServiceWorker_API">ServiceWorker API</a></li>
 <li><a href="/en-US/docs/Web/HTTP/Access_control_CORS">HTTP access control (CORS)</a></li>
 <li><a href="/en-US/docs/Web/HTTP">HTTP</a></li>
</ul>
